Bug 169775 - AWT thread blocked for 39887 ms.
AWT thread blocked for 39887 ms.
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Diff
6.x
All All
: P3 (vote)
: 6.x
Assigned To: diff-issues@utilities
diff-issues@utilities
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-04 08:22 UTC by Jindrich Sedek
Modified: 2010-03-29 12:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (11.85 KB, bin/nps)
2009-08-04 08:22 UTC, Jindrich Sedek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2009-08-04 08:22:54 UTC
Build: NetBeans IDE Dev (Build 200907270201)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Linux, 2.6.27.25-170.2.72.fc10.x86_64, amd64

User Comments:
jsedek: I invoked subversion diff on bunch on sql scripts, ide got blocked for half a minute and the OOM was thrown


Maximum slowness yet reported was 39887 ms, average is 39887
Comment 1 Jindrich Sedek 2009-08-04 08:22:59 UTC
Created attachment 85742 [details]
nps snapshot
Comment 2 Jindrich Sedek 2009-08-04 08:38:46 UTC
I found that one of sql files was a DB dump of about 500MB, not sure what we can do about such situation, but some 
warning or skipping the file in diff would be probably better than block AWT for such a long time.
Comment 3 Jiri Skrivanek 2009-09-17 11:53:52 UTC
It is a general problem of diff module. You can reproduce it even with plain text 500 MB file.
Comment 4 Ondrej Vrabec 2009-09-21 12:38:50 UTC
I guess we could show a warning dialog when trying to diff a too big file with possibility to skip diffing such file.
But not in 6.8 (it's not a trivial change, it involves not only diff module but also all versioning systems, where the
file could also be opened). Planning for the next release.
Comment 5 Ondrej Vrabec 2010-03-24 13:55:50 UTC
fix: http://hg.netbeans.org/cdev/rev/6e8138194943
Comment 6 Quality Engineering 2010-03-25 05:52:26 UTC
Integrated into 'main-golden', will be available in build *201003250201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6e8138194943
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #169775 - AWT thread blocked for 39887 ms.
Handling UserQuestionException
Comment 7 Jindrich Sedek 2010-03-29 12:43:59 UTC
verified.
NetBeans IDE Dev (Build 201003290201)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo